Skip to main content

Retrieve Shipment Information

This endpoint allows you to retrieve shipment details using one or more transportCode values. If customerCode is provided, only shipments registered under that customer will be retrieved.

Request​


POST https://openapi.willog.io/ext/v1/box/transports/info​

Request Body​

NameTypeRequiredDescription
customerCodeStringfalseCustomer code
transportCodesArraytrueList of transport codes (max: 100)

Example Request​

POST /ext/v1/box/transports/info
Authorization: Bearer token
{
"customerCode": "customer1",
"transportCodes": [
"5089229ca9f1",
"f0531fb95d21"
]
}

Response​


Response Body​

NameTypeNot-nullDescription
itemsArraytrueList of retrieved shipments
transportCodeStringtrueShipment code
serialStringfalseDevice serial (if assigned)
departureTimeUnix timestamp(ms)falseShipment departure time
arrivalTimeUnix timestamp(ms)falseShipment arrival time
fetchedManualArrivalTimeUnix timestamp(ms)falseManually set arrival time

Example Response​

HTTP/1.1 200 OK

{
"items": [
{
"transportCode": "5089229ca9f1",
"serial": "AB000343",
"departureTime": 1738655274000,
"arrivalTime": 1738655274000,
"fetchedManualArrivalTime": 1738655274000
}
]
}

Error Responses​

- Unauthorized Access to Customer Data​

HTTP/1.1 400 Bad Request

{
"code": "A0016"
}